Here’s your revised VR controls proposal, incorporating the updates for block scrolling and other notes:

---

# **VR Controls Proposal**

This document proposes VR controls based on the Oculus Quest controller layout.

---

## **1. Seated (Ship) Controls**

- **Right Controller**
  - **Stick**: Ship Rotation
    - Up/Down: Pitch
    - Left/Right: Yaw
  - **A (lower face)**: Control Group 1
  - **B (upper face)**: Secondary Trigger Action (right click)
  - **Trigger**: Primary Trigger Action (left click)
  - **Grip**: Secondary Action Layer
    - Grip + A: Cycle Control Group Down (wraps from 0 to 9)
    - Grip + B: Cycle Control Group Up (wraps from 9 to 0)
    - Grip + Stick Left/Right: Roll
    - Grip + Stick Click: `K` Menu
  
- **Left Controller**
  - **Stick**: Analog Lateral Thrust (up, down, left, right)
    - Up: Analog Thrust Up
    - Down: Analog Thrust Down
    - Left: Analog Thrust Left
    - Right: Analog Thrust Right
  - **Y**: Parking
  - **X**: Inertial Dampeners
  - **Trigger**: Analog Forward Thrust
  - **Grip**: Secondary Action Layer
    - Grip + Trigger: Analog Reverse Thrust
    - Grip + Stick Click: `G` Menu
    - Grip + X: Grid Power
    - Grip + Y: Toggle Antenna

---

## **2. Character (Jetpack) Controls**

- **Inherits from Ship Controls with the following alterations:**

- **Right Controller**
  - **Stick**: Character Rotation
    - Up/Down: Pitch (Jetpack orientation)
    - Left/Right: Yaw (Jetpack orientation)
  - **A (lower face)**: Jetpack Thrusters Up (analog upward thrust)
  - **B (upper face)**: Jetpack Thrusters Down (analog downward thrust)
  - **Trigger**: Use tool (left click equivalent)
  - **Grip**: Secondary Action Layer
    - Grip + A: Jetpack Thrust Down
    - Grip + B: Jetpack Thrust Up
    - Grip + Stick Left/Right: Roll (Jetpack roll)
    - Grip + Stick Click: `K` Menu
    - **Grip + Trigger**: Secondary Trigger Action (right click)
  > **Note:** Grip + A/B could be repurposed for block scrolling or weapon reloads, depending on future implementation.

- **Left Controller**
  - **Stick**: Jetpack Lateral Movement (up, down, left, right)
    - Up: Jetpack Thrust Forward
    - Down: Jetpack Thrust Backward
    - Left: Jetpack Thrust Left
    - Right: Jetpack Thrust Right
  - **Y**: Toggle Jetpack Power
  - **X**: Inertial Dampeners (same as Ship)
  - **Trigger**: Forward thrust (analog)
  - **Grip**: Secondary Action Layer
    - Grip + Trigger: Reverse Thrust (analog)
    - Grip + Stick Click: `G` Menu
    - Grip + X: Jetpack Boost
    - Grip + Y: Toggle Helmet

  > **Note:** There should be a setting to swap the stick up/down and trigger/grip+trigger actions on the left controller for user preference.

## **3. Character (No Jetpack) Controls**

- **Inherits from Jetpack Controls with the following alterations:**

- **Right Controller**
  - **Position/Rotation**: Player Reticle (where your tool is pointing)
  - **Trigger**: Use tool (e.g., welding, drilling—left click equivalent)
  - **Grip**: Secondary Action Layer
    - Grip + Trigger: Secondary Trigger Action (right click equivalent for tool use)
  
- **Left Controller**
  - **Stick**: Player Movement
    - Up: Analog Forward
    - Down: Analog Backward
    - Left: Analog Strafe Left
    - Right: Analog Strafe Right
  - **Y**: Toggle Lights
  - **X**: Inertial Dampeners (same as Jetpack)
  - **Trigger**: Jump or Sprint (tap for jump, hold for sprint)
